Request Network Scenes
Retrieves information of scenes in network identified by network ID, requires use of API key and sessionId (Header: X-Casambi-Key, X-Casambi-Session).
HTTP Request:
GET https://door.casambi.com/v1/networks/{id}/scenes
Path Parameters:
id: "networkId"
CURL Example:
curl "https://door.casambi.com/v1/networks/NETWORK-ID-HERE/scenes" \
-H "X-Casambi-Session:SESSION-ID-HERE" \
-H "X-Casambi-Key:API-KEY-HERE"
Response Example
{
"1": {
"name": "Timer",
"id": 1,
"position": 0,
"icon": 0,
"color": "#FFFFFF",
"type": "REGULAR",
"hidden": false,
"units": {
"12": {
"id": 12
}
}
},
"4": {
"name": "Presence",
"id": 2,
"position": 1,
"icon": 0,
"color": "#06FF29",
"type": "REGULAR",
"hidden": false,
"units": {
"18": {
"id": 18
}
}
}
}